# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc需求单审核通过1,2250,2250-7,sit,bs
主数据平台:运营后台管理系统需求单审核接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_demand_audit"
# 第一步登录后台管理系统
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
print(headers)
# 第二步提交创建需求单（代客下单）
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
print(url)
request_body = commonFuc().get_business_data(module, "payload1")
print(request_body)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 第三步在需求单列表查询到已创建的需求单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
print(url)
request_body = commonFuc().get_business_data(module, "payload2")
print(request_body)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 第四步审核刚刚创建的需求单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
print(url)
request_body = commonFuc().get_business_data(module, "payload3")
print(request_body)
"""
 场景:通过代客下单提交创建需求单，并完成审核
 用例名称：需求单审核通过
 输出：{"success":true,"code":"200","message":null,"data":[],"freshToken":null}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
